Skip to main content
GET
/
tasks
/
{taskId}
Get task status
curl --request GET \
  --url https://api.agentic.scope3.com/api/v2/buyer/tasks/{taskId} \
  --header 'Authorization: Bearer <token>'
{
  "task": {
    "taskId": "550e8400-e29b-41d4-a716-446655440000",
    "taskType": "audience_sync",
    "status": "submitted",
    "resourceType": "audience",
    "resourceId": "aud_12345",
    "error": {
      "code": "VALIDATION_ERROR",
      "message": "Invalid budget value",
      "field": "packages[0].targeting",
      "suggestion": "<string>",
      "retryAfter": 123,
      "details": {},
      "recovery": "transient"
    },
    "response": {},
    "metadata": {},
    "retryAfterSeconds": 30,
    "createdAt": "2026-01-15T10:30:00.000Z",
    "updatedAt": "2026-01-20T14:45:00.000Z"
  }
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

taskId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Get task status

Response containing a single task

task
object
required

Async task resource representation